[blfs-dev] Firefox dependencies

Ken Moffat zarniwhoop at ntlworld.com
Wed Sep 23 16:39:08 PDT 2015


On Wed, Sep 23, 2015 at 06:18:58PM +0000, willie at tuta.io wrote:
> 23. Sep 2015 19:05 by stuff at decentral.ch:
> 
> Oh, and I built it without system cairo because FF 40 crashes with system 
> cairo, don't know if that problem is fixed yet.
> 
It is almost-certainly not fixed upstream, because firefox tends to
use ancient versions of many of the libraries it ships.  For me, the
workaround has been doing its job.  Yesterday, on 7.8, firefox
crashed twice.  Today, I looked at about:config and realised that
the workaround had not been in place (new build).

At the moment, I'm on my second attempt at hacking the preferences -
your suggestion seemed a bit complex to me, and I loathe letting
applications ship their own versions of system libraries : I might
think again about that after 7.8.  Seems to work.

ĸen
-- 
Il Porcupino Nil Sodomy Est! (if you will excuse my latatian)
  aka "The hedgehog song"


More information about the blfs-dev mailing list